Name:           tkabber
Version:        0.9.7
Release:        alt2
Summary:        TkAbber is an open source Jabber Client.
Summary(ru_RU.KOI8-R): Tkabber -  Jabber 
License:        GPL
Group:          Networking/Instant messaging
Url:            http://tkabber.jabber.ru/ru/
BuildArch:      noarch
Source:         %name-%version.tar.gz
Requires:        bwidget, tcllib, urlview

%description
Tkabber provides a Tcl/Tk interface to the Jabber instant messaging and presence service.
Wtiting in Tcl/Tk, used TclLib and BWidget, working on Linux, FreeBSD, NetBSD, Solaris and Windows 98/2000/XP.

%description -l ru_RU.KOI8-R
Tkabber --    Jabber.   Tcl/Tk,  Tcllib  BWidget,      ,    Tcl/Tk. ,     Linux, FreeBSD, NetBSD, Solaris  Windows 98/2000/XP.

%prep
%setup -n %name

%build

%install
mkdir -p $RPM_BUILD_ROOT{%_datadir/%name/aniemoteicons,%_datadir/%name/emoticons-tkabber}
mkdir -p $RPM_BUILD_ROOT{%_datadir/%name/ifaceck,%_datadir/%name/ifacetk,%_datadir/%name/jabberlib-tclxml,%_datadir/%name/mclistbox-1.02}
mkdir -p $RPM_BUILD_ROOT{%_datadir/%name/msgs,%_bindir,%_datadir/%name/pixmaps,%_datadir/%name/sounds}
mkdir -p $RPM_BUILD_ROOT{%_datadir/%name/plugins,%_datadir/%name/textundo}

cat > %name << EOF
#!/bin/sh
#BROWSER=/usr/bin/url_handler.sh
#export BROWSER
%_datadir/%name/%name.tcl
EOF

install -p -m755 %name $RPM_BUILD_ROOT%_bindir/%name

install -p -m644 *.tcl $RPM_BUILD_ROOT%_datadir/%name/
install -p -m755 %name.tcl $RPM_BUILD_ROOT%_datadir/%name/
install -p -m644 aniemoteicons/*.tcl $RPM_BUILD_ROOT%_datadir/%name/aniemoteicons
#install -p -m644 *.xrdb $RPM_BUILD_ROOT%_datadir/%name/
install -p -m644 emoticons-tkabber/*.* $RPM_BUILD_ROOT%_datadir/%name/emoticons-tkabber/
install -p -m644 mclistbox-1.02/*.tcl $RPM_BUILD_ROOT%_datadir/%name/mclistbox-1.02/

#install -p -m644 pixmaps/jarl/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/jarl/
find contrib/ | cpio -pmd $RPM_BUILD_ROOT%_defaultdocdir/%name-%version/
find examples/ | cpio -pmd $RPM_BUILD_ROOT%_defaultdocdir/%name-%version/
find jabberlib-tclxml/ | cpio -pmd $RPM_BUILD_ROOT%_datadir/%name/
find pixmaps/ | cpio -pmd $RPM_BUILD_ROOT%_datadir/%name/
find plugins/ | cpio -pmd $RPM_BUILD_ROOT%_datadir/%name/
find sounds/ | cpio -pmd $RPM_BUILD_ROOT%_datadir/%name/

#install -p -m644 pixmaps/default/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/default/
#install -p -m644 pixmaps/feather22/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/feather22/
#install -p -m644 pixmaps/gabber/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/gabber/
#install -p -m644 pixmaps/jajc/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/jajc/
#install -p -m644 pixmaps/jarl/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/jarl/
#install -p -m644 pixmaps/psi/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/psi/

install -p -m644 ifaceck/*.* $RPM_BUILD_ROOT%_datadir/%name/ifaceck/
install -p -m644 ifacetk/*.* $RPM_BUILD_ROOT%_datadir/%name/ifacetk/
install -p -m644 msgs/*.msg $RPM_BUILD_ROOT%_datadir/%name/msgs/
install -p -m644 textundo/*.tcl $RPM_BUILD_ROOT%_datadir/%name/textundo/

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat > $RPM_BUILD_ROOT/usr/lib/menu/%name << EOF
?package(%name): needs=x11 icon="%name.xpm" section="Networking/Instant messaging"  title=TkAbber longtitle="Jabber client" command=tkabber
EOF

#mdk icons
install -d $RPM_BUILD_ROOT{%_iconsdir,%_iconsdir/large,%_iconsdir/mini}
install -p -m644 pixmaps/icons/%name.xpm $RPM_BUILD_ROOT%_iconsdir
install -p -m644 pixmaps/icons/large/%name.xpm $RPM_BUILD_ROOT%_iconsdir/large/
install -p -m644 pixmaps/icons/mini/%name.xpm $RPM_BUILD_ROOT%_iconsdir/mini/

%post
%update_menus

%postun
%clean_menus

%files
%doc INSTALL ChangeLog COPYING README README.html
%doc doc/*
%doc contrib examples

%_bindir/%name
%_datadir/%name
%_libdir/menu/%name
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm


%changelog
* Fri Aug  6 2004 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.7-alt2
- URL view in $BROWSER fix
- conrib and examles moved in %_defaultdocdir

* Thu Jul 29 2004 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.7-alt1
- Updated support for file transfer (JEP-0095, JEP-0096, JEP-0047, JEP-0065)
- Support for colored nicks and messages in conference
- Better multiple logins support
- Updated support for xml:lang
- Support for IDNA (RFC3490)
- Many fixes and enhancements
				     
* Wed Feb 25 2004 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.6beta-alt3
- url_handler support

* Thu Oct 23 2003 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.6beta-alt2
- BROWSER variable setting

* Thu Oct 23 2003 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.6beta-alt1
- Multiple logins support
- History now splitted by month
- Animated emoteicons support
- Many user interface improvements
- More XMPP support
- More translations
- Bugfixes 